
/* 
 * Copyright (c) 1993-2003,2012 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef jloco_POSTER_LIB_H
#define jloco_POSTER_LIB_H

#include "posterLib.h"
#include "genom/genom.h"

/* Types definis ou utilises par le module */
#include "jlocoType.h"
#include "jlocoError.h"

/* 
 * Definition de la SDI_C 
*/
typedef struct {
  CNTRL_TASK_DESCRIPTION cntrlTask;
  EXEC_TASK_DESCRIPTION execTaskTab[JLOCO_NB_EXEC_TASK];
  ACTIVITY_DESCRIPTION activityTab[MAX_ACTIVITIES];
} JLOCO_CNTRL_STR;

/* For consistency with other posters */
typedef JLOCO_CNTRL_STR JLOCO_CNTRL_POSTER_STR;
 
/* 
 * Definition des structures de posters
 */
#include "jlocoPosterLibStruct.h"



/* Posters */
#define JLOCO_CNTRL_POSTER_NAME genomInstanceSuffixName("jloco", "Cntrl")
#define JLOCO_MEPOS_POSTER_NAME genomInstanceSuffixName("jloco", "MEPos")
#define JLOCO_STATUS_POSTER_NAME genomInstanceSuffixName("jloco", "Status")


/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif
extern STATUS jlocoPosterInit ( void );
extern POSTER_ID jlocoCntrlPosterID ();
extern STATUS jlocoCntrlPosterRead ( JLOCO_CNTRL_STR *jlocoCntrlStrId );
extern STATUS jlocoCntrlPosterInit ( void );
extern STATUS jlocoCntrlInstancePosterRead(const char *name, JLOCO_CNTRL_STR *jlocoCntrlStrId);
extern STATUS jlocoMEPosPosterInit ( void );
extern POSTER_ID jlocoMEPosPosterID ( void );
extern STATUS jlocoMEPosPosterRead ( JLOCO_MEPOS_POSTER_STR *x );
extern STATUS jlocoMEPosInstancePosterRead ( const char *, JLOCO_MEPOS_POSTER_STR * );
extern STATUS jlocoMEPosmePosPosterRead ( POM_ME_POS *mePos );
extern STATUS jlocoMEPosmePosInstancePosterRead( const char *, POM_ME_POS * );
extern STATUS jlocoStatusPosterInit ( void );
extern POSTER_ID jlocoStatusPosterID ( void );
extern STATUS jlocoStatusPosterRead ( JLOCO_STATUS_POSTER_STR *x );
extern STATUS jlocoStatusInstancePosterRead ( const char *, JLOCO_STATUS_POSTER_STR * );
extern STATUS jlocoStatusbatLevelPosterRead ( int *batLevel );
extern STATUS jlocoStatusbatLevelInstancePosterRead( const char *, int * );
extern STATUS jlocoStatustrackModePosterRead ( JLOCO_MODE *trackMode );
extern STATUS jlocoStatustrackModeInstancePosterRead( const char *, JLOCO_MODE * );
#ifdef __cplusplus
}
#endif
#endif

