
#
# Copyright (c) 1999-2003 LAAS/CNRS
# All rights reserved.
#
# Redistribution  and  use in source   and binary forms,  with or without
# modification, are permitted provided that  the following conditions are
# met:
#
#   1. Redistributions  of  source code must  retain  the above copyright
#      notice, this list of conditions and the following disclaimer.
#   2. Redistributions in binary form must  reproduce the above copyright
#      notice,  this list of  conditions and  the following disclaimer in
#      the  documentation   and/or  other  materials   provided with  the
#      distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE  AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY  EXPRESS OR IMPLIED WARRANTIES, INCLUDING,  BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES   OF MERCHANTABILITY AND  FITNESS  FOR  A PARTICULAR
# PURPOSE ARE DISCLAIMED.  IN NO  EVENT SHALL THE AUTHOR OR  CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT,  INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING,  BUT  NOT LIMITED TO, PROCUREMENT  OF
# SUBSTITUTE  GOODS OR SERVICES;  LOSS   OF  USE,  DATA, OR PROFITS;   OR
# BUSINESS  INTERRUPTION) HOWEVER CAUSED AND  ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE  USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

#
# This file was automagically generated.
# Manual editing not recommended. Changes will be overridden.
#

if { [lsearch [interp hidden] jlocoInstall] >= 0 } {
    interp expose {} jlocoInstall
}

proc ::jlocoInstall { name } {
    foreach rqst { "Init" "SetWatchdogTolerance" "GetWatchdogTolerance" "SetCmdParam" "GetCmdParam" "SetOdoCorrection" "GetOdoCorrection" "SetVarParams" "SetPos" "SetPosErr" "SetGyroMode" "GetGyroMode" "JoystickOn" "TrackStart" "TrackSpeedStart" "TrackEnd" "SetPom" "MEPosmePosPosterRead" "StatusbatLevelPosterRead" "StatustrackModePosterRead"  } {
	interp alias {} ${name}::$rqst {} interp invoke {} jloco$rqst $name
    }
}

interp hide {} jlocoInstall




# Init ----------------------------------------------------------

if { [lsearch [interp hidden] jlocoInit] >= 0 } {
    interp expose {} jlocoInit
}
if { [lsearch [interp hidden] jlocoInitFormatOutput] >= 0 } {
    interp expose {} jlocoInitFormatOutput
}

proc ::jlocoInit { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "Init" \
	"Connect to CAN bus" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::jlocoInitFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} jlocoInit
interp hide {} jlocoInitFormatOutput





# SetWatchdogTolerance ----------------------------------------------------------

if { [lsearch [interp hidden] jlocoSetWatchdogTolerance] >= 0 } {
    interp expose {} jlocoSetWatchdogTolerance
}
if { [lsearch [interp hidden] jlocoSetWatchdogToleranceFormatOutput] >= 0 } {
    interp expose {} jlocoSetWatchdogToleranceFormatOutput
}

proc ::jlocoSetWatchdogTolerance { name args } {
    set format {}
    lappend format [list int "watchdogTolerance" 0 ]

    return [ ::cs::rqstSend "${name}" "SetWatchdogTolerance" \
	"** undocumented **" \
	"int watchdogTolerance\n" \
	1 \
	$format \
	$args ]
}


proc ::jlocoSetWatchdogToleranceFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} jlocoSetWatchdogTolerance
interp hide {} jlocoSetWatchdogToleranceFormatOutput





# GetWatchdogTolerance ----------------------------------------------------------

if { [lsearch [interp hidden] jlocoGetWatchdogTolerance] >= 0 } {
    interp expose {} jlocoGetWatchdogTolerance
}
if { [lsearch [interp hidden] jlocoGetWatchdogToleranceFormatOutput] >= 0 } {
    interp expose {} jlocoGetWatchdogToleranceFormatOutput
}

proc ::jlocoGetWatchdogTolerance { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetWatchdogTolerance" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::jlocoGetWatchdogToleranceFormatOutput { list } {
    set format { {} status { } watchdogTolerance }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} jlocoGetWatchdogTolerance
interp hide {} jlocoGetWatchdogToleranceFormatOutput





# SetCmdParam ----------------------------------------------------------

if { [lsearch [interp hidden] jlocoSetCmdParam] >= 0 } {
    interp expose {} jlocoSetCmdParam
}
if { [lsearch [interp hidden] jlocoSetCmdParamFormatOutput] >= 0 } {
    interp expose {} jlocoSetCmdParamFormatOutput
}

proc ::jlocoSetCmdParam { name args } {
    set format {}
    lappend format [list double "cmdParam.distPoint" 0.0 ]
    lappend format [list double "cmdParam.KpLongit" 0.0 ]
    lappend format [list double "cmdParam.KiLongit" 0.0 ]
    lappend format [list double "cmdParam.KpTransv" 0.0 ]
    lappend format [list double "cmdParam.KiTransv" 0.0 ]
    lappend format [list double "cmdParam.KpAng" 0.0 ]
    lappend format [list double "cmdParam.KiAng" 0.0 ]
    lappend format [list double "cmdParam.longitErrorMax" 0.0 ]
    lappend format [list double "cmdParam.transvErrorMax" 0.0 ]
    lappend format [list double "cmdParam.longitMaxErrSum" 0.0 ]
    lappend format [list double "cmdParam.transvMaxErrSum" 0.0 ]
    lappend format [list double "cmdParam.angErrorMax" 0.0 ]
    lappend format [list double "cmdParam.angMaxErrSum" 0.0 ]
    lappend format [list double "cmdParam.longitMaxGap" 0.0 ]
    lappend format [list double "cmdParam.transvMaxGap" 0.0 ]
    lappend format [list double "cmdParam.angMaxGap" 0.0 ]

    return [ ::cs::rqstSend "${name}" "SetCmdParam" \
	"** undocumented **" \
	"GENPOS_CART_CMD_PARAM\n| double distPoint\n| double KpLongit\n| double KiLongit\n| double KpTransv\n| double KiTransv\n| double KpAng\n| double KiAng\n| double longitErrorMax\n| double transvErrorMax\n| double longitMaxErrSum\n| double transvMaxErrSum\n| double angErrorMax\n| double angMaxErrSum\n| double longitMaxGap\n| double transvMaxGap\n| double angMaxGap\n" \
	16 \
	$format \
	$args ]
}


proc ::jlocoSetCmdParamFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} jlocoSetCmdParam
interp hide {} jlocoSetCmdParamFormatOutput





# GetCmdParam ----------------------------------------------------------

if { [lsearch [interp hidden] jlocoGetCmdParam] >= 0 } {
    interp expose {} jlocoGetCmdParam
}
if { [lsearch [interp hidden] jlocoGetCmdParamFormatOutput] >= 0 } {
    interp expose {} jlocoGetCmdParamFormatOutput
}

proc ::jlocoGetCmdParam { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetCmdParam" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::jlocoGetCmdParamFormatOutput { list } {
    set format { {} status { } { cmdParam { } distPoint { } KpLongit { } KiLongit { } KpTransv { } KiTransv { } KpAng { } KiAng { } longitErrorMax { } transvErrorMax { } longitMaxErrSum { } transvMaxErrSum { } angErrorMax { } angMaxErrSum { } longitMaxGap { } transvMaxGap { } angMaxGap } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} jlocoGetCmdParam
interp hide {} jlocoGetCmdParamFormatOutput





# SetOdoCorrection ----------------------------------------------------------

if { [lsearch [interp hidden] jlocoSetOdoCorrection] >= 0 } {
    interp expose {} jlocoSetOdoCorrection
}
if { [lsearch [interp hidden] jlocoSetOdoCorrectionFormatOutput] >= 0 } {
    interp expose {} jlocoSetOdoCorrectionFormatOutput
}

proc ::jlocoSetOdoCorrection { name args } {
    set format {}
    lappend format [list double "tmpOdoCorr.axis_mult" 0.0 ]
    lappend format [list double "tmpOdoCorr.left_mult" 0.0 ]
    lappend format [list double "tmpOdoCorr.right_mult" 0.0 ]

    return [ ::cs::rqstSend "${name}" "SetOdoCorrection" \
	"** undocumented **" \
	"JLOCO_ODO_CORRECTION\n| double axis_mult\n| double left_mult\n| double right_mult\n" \
	3 \
	$format \
	$args ]
}


proc ::jlocoSetOdoCorrectionFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} jlocoSetOdoCorrection
interp hide {} jlocoSetOdoCorrectionFormatOutput





# GetOdoCorrection ----------------------------------------------------------

if { [lsearch [interp hidden] jlocoGetOdoCorrection] >= 0 } {
    interp expose {} jlocoGetOdoCorrection
}
if { [lsearch [interp hidden] jlocoGetOdoCorrectionFormatOutput] >= 0 } {
    interp expose {} jlocoGetOdoCorrectionFormatOutput
}

proc ::jlocoGetOdoCorrection { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetOdoCorrection" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::jlocoGetOdoCorrectionFormatOutput { list } {
    set format { {} status { } { tmpOdoCorr { } axis_mult { } left_mult { } right_mult } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} jlocoGetOdoCorrection
interp hide {} jlocoGetOdoCorrectionFormatOutput





# SetVarParams ----------------------------------------------------------

if { [lsearch [interp hidden] jlocoSetVarParams] >= 0 } {
    interp expose {} jlocoSetVarParams
}
if { [lsearch [interp hidden] jlocoSetVarParamsFormatOutput] >= 0 } {
    interp expose {} jlocoSetVarParamsFormatOutput
}

proc ::jlocoSetVarParams { name args } {
    set format {}
    lappend format [list double "varParams.vxx" 0.0 ]
    lappend format [list double "varParams.vyy" 0.0 ]
    lappend format [list double "varParams.vtt" 0.0 ]
    lappend format [list double "varParams.qCoeff" 0.0 ]

    return [ ::cs::rqstSend "${name}" "SetVarParams" \
	"** undocumented **" \
	"JLOCO_VAR_PARAMS\n| double vxx\n| double vyy\n| double vtt\n| double qCoeff\n" \
	4 \
	$format \
	$args ]
}


proc ::jlocoSetVarParamsFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} jlocoSetVarParams
interp hide {} jlocoSetVarParamsFormatOutput





# SetPos ----------------------------------------------------------

if { [lsearch [interp hidden] jlocoSetPos] >= 0 } {
    interp expose {} jlocoSetPos
}
if { [lsearch [interp hidden] jlocoSetPosFormatOutput] >= 0 } {
    interp expose {} jlocoSetPosFormatOutput
}

proc ::jlocoSetPos { name args } {
    set format {}
    lappend format [list double "tmpPose.x" 0.0 ]
    lappend format [list double "tmpPose.y" 0.0 ]
    lappend format [list double "tmpPose.theta" 0.0 ]

    return [ ::cs::rqstSend "${name}" "SetPos" \
	"** undocumented **" \
	"GENPOS_CART_CONFIG\n| double x\n| double y\n| double theta\n" \
	3 \
	$format \
	$args ]
}


proc ::jlocoSetPosFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} jlocoSetPos
interp hide {} jlocoSetPosFormatOutput





# SetPosErr ----------------------------------------------------------

if { [lsearch [interp hidden] jlocoSetPosErr] >= 0 } {
    interp expose {} jlocoSetPosErr
}
if { [lsearch [interp hidden] jlocoSetPosErrFormatOutput] >= 0 } {
    interp expose {} jlocoSetPosErrFormatOutput
}

proc ::jlocoSetPosErr { name args } {
    set format {}
    for {set loop1(0) 0} { $loop1(0)<6 } { incr loop1(0)} {
    lappend format [list double "tmpErr.var\[$loop1(0)\]" 0.0 ]
}

    return [ ::cs::rqstSend "${name}" "SetPosErr" \
	"** undocumented **" \
	"GENPOS_CART_CONFIG_VAR\n| double var\[6\]\n" \
	6 \
	$format \
	$args ]
}


proc ::jlocoSetPosErrFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} jlocoSetPosErr
interp hide {} jlocoSetPosErrFormatOutput





# SetGyroMode ----------------------------------------------------------

if { [lsearch [interp hidden] jlocoSetGyroMode] >= 0 } {
    interp expose {} jlocoSetGyroMode
}
if { [lsearch [interp hidden] jlocoSetGyroModeFormatOutput] >= 0 } {
    interp expose {} jlocoSetGyroModeFormatOutput
}

proc ::jlocoSetGyroMode { name args } {
    set format {}
    lappend format [list int "gyroMode" 0 ]

    return [ ::cs::rqstSend "${name}" "SetGyroMode" \
	"** undocumented **" \
	"int gyroMode\n" \
	1 \
	$format \
	$args ]
}


proc ::jlocoSetGyroModeFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} jlocoSetGyroMode
interp hide {} jlocoSetGyroModeFormatOutput





# GetGyroMode ----------------------------------------------------------

if { [lsearch [interp hidden] jlocoGetGyroMode] >= 0 } {
    interp expose {} jlocoGetGyroMode
}
if { [lsearch [interp hidden] jlocoGetGyroModeFormatOutput] >= 0 } {
    interp expose {} jlocoGetGyroModeFormatOutput
}

proc ::jlocoGetGyroMode { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "GetGyroMode" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::jlocoGetGyroModeFormatOutput { list } {
    set format { {} status { } gyroMode }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} jlocoGetGyroMode
interp hide {} jlocoGetGyroModeFormatOutput





# JoystickOn ----------------------------------------------------------

if { [lsearch [interp hidden] jlocoJoystickOn] >= 0 } {
    interp expose {} jlocoJoystickOn
}
if { [lsearch [interp hidden] jlocoJoystickOnFormatOutput] >= 0 } {
    interp expose {} jlocoJoystickOnFormatOutput
}

proc ::jlocoJoystickOn { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "JoystickOn" \
	"Switch on the joystick" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::jlocoJoystickOnFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} jlocoJoystickOn
interp hide {} jlocoJoystickOnFormatOutput





# TrackStart ----------------------------------------------------------

if { [lsearch [interp hidden] jlocoTrackStart] >= 0 } {
    interp expose {} jlocoTrackStart
}
if { [lsearch [interp hidden] jlocoTrackStartFormatOutput] >= 0 } {
    interp expose {} jlocoTrackStartFormatOutput
}

proc ::jlocoTrackStart { name args } {
    set format {}
    lappend format [list string "posterName.str" "" ]

    return [ ::cs::rqstSend "${name}" "TrackStart" \
	"** undocumented **" \
	"JLOCO_NAME\n| char str\[128\]\n" \
	1 \
	$format \
	$args ]
}


proc ::jlocoTrackStartFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} jlocoTrackStart
interp hide {} jlocoTrackStartFormatOutput





# TrackSpeedStart ----------------------------------------------------------

if { [lsearch [interp hidden] jlocoTrackSpeedStart] >= 0 } {
    interp expose {} jlocoTrackSpeedStart
}
if { [lsearch [interp hidden] jlocoTrackSpeedStartFormatOutput] >= 0 } {
    interp expose {} jlocoTrackSpeedStartFormatOutput
}

proc ::jlocoTrackSpeedStart { name args } {
    set format {}
    lappend format [list string "posterName.str" "" ]

    return [ ::cs::rqstSend "${name}" "TrackSpeedStart" \
	"** undocumented **" \
	"JLOCO_NAME\n| char str\[128\]\n" \
	1 \
	$format \
	$args ]
}


proc ::jlocoTrackSpeedStartFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} jlocoTrackSpeedStart
interp hide {} jlocoTrackSpeedStartFormatOutput





# TrackEnd ----------------------------------------------------------

if { [lsearch [interp hidden] jlocoTrackEnd] >= 0 } {
    interp expose {} jlocoTrackEnd
}
if { [lsearch [interp hidden] jlocoTrackEndFormatOutput] >= 0 } {
    interp expose {} jlocoTrackEndFormatOutput
}

proc ::jlocoTrackEnd { name args } {
    set format {}

    return [ ::cs::rqstSend "${name}" "TrackEnd" \
	"** undocumented **" \
	"no arguments" \
	0 \
	$format \
	$args ]
}


proc ::jlocoTrackEndFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} jlocoTrackEnd
interp hide {} jlocoTrackEndFormatOutput





# SetPom ----------------------------------------------------------

if { [lsearch [interp hidden] jlocoSetPom] >= 0 } {
    interp expose {} jlocoSetPom
}
if { [lsearch [interp hidden] jlocoSetPomFormatOutput] >= 0 } {
    interp expose {} jlocoSetPomFormatOutput
}

proc ::jlocoSetPom { name args } {
    set format {}
    lappend format [list string "posterName.str" "" ]

    return [ ::cs::rqstSend "${name}" "SetPom" \
	"** undocumented **" \
	"JLOCO_NAME\n| char str\[128\]\n" \
	1 \
	$format \
	$args ]
}


proc ::jlocoSetPomFormatOutput { list } {
    set format { {} status }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} jlocoSetPom
interp hide {} jlocoSetPomFormatOutput





# MEPosmePos ----------------------------------------------------------

if { [lsearch [interp hidden] jlocoMEPosmePosPosterRead] >= 0 } {
    interp expose {} jlocoMEPosmePosPosterRead
}
if { [lsearch [interp hidden] jlocoMEPosmePosPosterFormatOutput] >= 0 } {
    interp expose {} jlocoMEPosmePosPosterFormatOutput
}

proc ::jlocoMEPosmePosPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "MEPosmePos" \
	"POM_ME_POS\n| POM_ME_CLASS kind\n| int unused\n| double confidence\n| int date1\n| int date2\n| POM_EULER_V\n| | POM_EULER\n| | | double yaw\n| | | double pitch\n| | | double roll\n| | | double x\n| | | double y\n| | | double z\n| | POM_EULER_VARIANCES\n| | | double voo\n| | | double vop\n| | | double vpp\n| | | double vor\n| | | double vpr\n| | | double vrr\n| | | double vox\n| | | double vpx\n| | | double vrx\n| | | double vxx\n| | | double voy\n| | | double vpy\n| | | double vry\n| | | double vxy\n| | | double vyy\n| | | double voz\n| | | double vpz\n| | | double vrz\n| | | double vxz\n| | | double vyz\n| | | double vzz\n| POM_EULER_V\n| | POM_EULER\n| | | double yaw\n| | | double pitch\n| | | double roll\n| | | double x\n| | | double y\n| | | double z\n| | POM_EULER_VARIANCES\n| | | double voo\n| | | double vop\n| | | double vpp\n| | | double vor\n| | | double vpr\n| | | double vrr\n| | | double vox\n| | | double vpx\n| | | double vrx\n| | | double vxx\n| | | double voy\n| | | double vpy\n| | | double vry\n| | | double vxy\n| | | double vyy\n| | | double voz\n| | | double vpz\n| | | double vrz\n| | | double vxz\n| | | double vyz\n| | | double vzz\n" \
	$args ]
}


proc ::jlocoMEPosmePosPosterFormatOutput { list } {
    set format { {} status { } { mePos { } kind { } unused { } confidence { } date1 { } date2 { } { main { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } { } { VLocal { } { euler { } yaw { } pitch { } roll { } x { } y { } z } { } { var { } voo { } vop { } vpp { } vor { } vpr { } vrr { } vox { } vpx { } vrx { } vxx { } voy { } vpy { } vry { } vxy { } vyy { } voz { } vpz { } vrz { } vxz { } vyz { } vzz } } } }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} jlocoMEPosmePosPosterRead
interp hide {} jlocoMEPosmePosPosterFormatOutput





# StatusbatLevel ----------------------------------------------------------

if { [lsearch [interp hidden] jlocoStatusbatLevelPosterRead] >= 0 } {
    interp expose {} jlocoStatusbatLevelPosterRead
}
if { [lsearch [interp hidden] jlocoStatusbatLevelPosterFormatOutput] >= 0 } {
    interp expose {} jlocoStatusbatLevelPosterFormatOutput
}

proc ::jlocoStatusbatLevelPosterRead { name args } {

    return [ ::cs::posterRead "${name}" "StatusbatLevel" \
	"int batLevel\n" \
	$args ]
}


proc ::jlocoStatusbatLevelPosterFormatOutput { list } {
    set format { {} status { } batLevel }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} jlocoStatusbatLevelPosterRead
interp hide {} jlocoStatusbatLevelPosterFormatOutput





# StatustrackMode ----------------------------------------------------------

if { [lsearch [interp hidden] jlocoStatustrackModePosterRead] >= 0 } {
    interp expose {} jlocoStatustrackModePosterRead
}
if { [lsearch [interp hidden] jlocoStatustrackModePosterFormatOutput] >= 0 } {
    interp expose {} jlocoStatustrackModePosterFormatOutput
}

proc ::jlocoStatustrackModePosterRead { name args } {

    return [ ::cs::posterRead "${name}" "StatustrackMode" \
	"JLOCO_MODE trackMode\n" \
	$args ]
}


proc ::jlocoStatustrackModePosterFormatOutput { list } {
    set format { {} status { } trackMode }

    set out ""
    interp invokehidden {} rqstFormatOuput $format out list ""
    return [join $out "\n"]
}

interp hide {} jlocoStatustrackModePosterRead
interp hide {} jlocoStatustrackModePosterFormatOutput


